Bug 210384 - xpdf complains about XtUngrabButton
Summary: xpdf complains about XtUngrabButton
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: lesstif   
(Show other bugs)
Version: rawhide
Hardware: i386
OS: Linux
medium
low
Target Milestone: ---
Assignee: Patrice Dumas
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-10-11 19:28 UTC by Horst H. von Brand
Modified: 2007-11-30 22:11 UTC (History)
2 users (show)

Fixed In Version: 0.95.0-19.fc7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-09-12 16:44:11 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Horst H. von Brand 2006-10-11 19:28:00 UTC
Description of problem:
When closing xpdf, it says:

 XtUngrabButton(drawArea,3,0) 
 Warning: Attempt to remove nonexistent passive grab

Version-Release number of selected component (if applicable):
xpdf-3.01-26.fc6

How reproducible:
Always

Steps to Reproduce:
1. xpdf somefile.pdf
2. Close xpdf
3.
  
Actual results:
XtUngrabButton(drawArea,3,0)
Warning: Attempt to remove nonexistent passive grab

Expected results:
No messages

Additional info:
Yes, I still prefer xpdf to evince. So sue me.

Comment 1 Tom "spot" Callaway 2006-10-15 23:49:43 UTC
This is lesstif.

From lesstif/lib/Xm-2.1/RowColumn.c, specifically the destroy() function:

         if (realpar != NULL)
         {
             XtRemoveEventHandler(realpar,
                                  ButtonPressMask|ButtonReleaseMask,
                                  False, _XmPopupButtonPressHandler,
                                  (XtPointer)w );
             /* Fix a grab problem -- dwilliss */
             fprintf(stderr, "XtUngrabButton(%s,%u,%u)\n",
                             XtName(realpar), RC_PostButton(w), RC_PostModifier$
             XtUngrabButton(realpar, RC_PostButton(w), RC_PostModifiers(w));
         }
     }

I'm not sure that the grab problem actually exists (or that we care if we're in
a destroy call). Reassigning to the lesstif maintainer.



Comment 2 Patrice Dumas 2006-10-19 07:50:42 UTC
I also get that each time I close xpdf. It is not obvious
whether it is a lesstif or an xpdf bug, and whether it is a bug at all.
I guess I'll report that to lesstif some day.

Comment 3 Horst H. von Brand 2007-07-17 13:52:22 UTC
Still the same here (xpdf-3.01-28.fc7, lesstif-0.95.0-15.fc7)

Comment 4 Fedora Update System 2007-09-04 22:06:26 UTC
lesstif-0.95.0-19.fc7 has been pushed to the Fedora 7 testing repository.  If problems still persist, please make note of it in this bug report.

Comment 5 Horst H. von Brand 2007-09-05 00:01:50 UTC
I'm now on rawhide (xpdf-3.02-3.fc8, lesstif-0.95.0-16.fc8). Still the same as
before.

Yup, lesstif-0.95.0-19.fc8 (from Koji) fixes this. Should this be declared
"Closed, rawhide"?

Comment 6 Fedora Update System 2007-09-12 16:44:06 UTC
lesstif-0.95.0-19.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.